### Method

# Snapd Snap get_name

since: 1.0

#### Declaration [src]

    const gchar*
    snapd_snap_get_name (
      SnapdSnap* snap
    )

#### Description [src]

Get the name of this snap. This is used to reference this snap, e.g. for installing / removing.

Available since: 1.0

Gets property | `Snapd.Snap:name`

#### Return value

Type: `const gchar*`

A name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.